httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andy Wang <aw...@ptc.com>
Subject Re: [users@httpd] Install Apache 2.4.20 on Solaris 10 --- Error "ld: fatal: file ab.o: wrong ELF class: ELFCLASS32"
Date Mon, 02 May 2016 20:47:10 GMT


On 05/02/2016 03:40 PM, Huang, Jinhui (OST) wrote:
> Hi, Andy:
> Thank you for the comment about CFLAGS="-m64" and " solaris64-x86_64-gcc".
> I will use CFLAGS="-m64" when I re compile/build PCRE.
> For OpenSSL, actually, I saw this option when I select the target for Configure program.
I thought  that  "solaris64-x86_64-gcc" is for a windows/intel system ONLY. I am using a Sun
Solaris system, so, I selected the  " solaris64-sparcv9-gcc" instead. May I use this flag
for Sun Solaris system as well?
> Jin
>

oops.  My bad.  I knew that as I was reading your message but ended up 
getting x86_64 in my head.

same applies for solaris64-sparcv9-gcc:

"solaris64-sparcv9-gcc","gcc:-m64 -mcpu=ultrasparc -O3 -Wall 
-DB_ENDIAN::-D_REENTRANT:ULTRASPARC:-lsocket -lnsl -ldl:BN_LLONG 
RC4_CHAR RC4_CHUNK DES_INT DES_PTR DES_RISC1 DES_UNROLL 
BF_PTR:${sparcv9_asm}:dlfcn:solaris-shared:-fPIC:-m64 
-shared:.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR):::/64",

Andy

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message